# studio::AsyncRenderer Class Reference

`#include <asyncrenderer.h>`

List of all members.

## Public Member Functions

| AsyncRenderer (etl::handle< synfig::Target > target, synfig::ProgressCallback *cb=0)
virtual | ~AsyncRenderer ()
void | start ()
void | stop ()
void | pause ()
void | resume ()
bool | has_error () const
bool | has_success () const
sigc::signal< void > & | signal_finished ()
sigc::signal< void > & | signal_success ()

## Constructor & Destructor Documentation

AsyncRenderer::AsyncRenderer | ( | etl::handle< synfig::Target > | target,
|  | synfig::ProgressCallback * | cb = `0` |
| ) |  |  |

AsyncRenderer::~AsyncRenderer | ( |  | ) | `[virtual]`

References stop().

## Member Function Documentation

void AsyncRenderer::start | ( |  | ) |

void AsyncRenderer::stop | ( |  | ) |

Referenced by ~AsyncRenderer().

void AsyncRenderer::pause | ( |  | ) |

void AsyncRenderer::resume | ( |  | ) |

bool studio::AsyncRenderer::has_error | ( |  | ) | const`[inline]`

bool studio::AsyncRenderer::has_success | ( |  | ) | const`[inline]`

sigc::signal<void>& studio::AsyncRenderer::signal_finished | ( |  | ) | `[inline]`

sigc::signal<void>& studio::AsyncRenderer::signal_success | ( |  | ) | `[inline]`

The documentation for this class was generated from the following files:

- asyncrenderer.h
- asyncrenderer.cpp